BARMAN-CHECK(1)

NAME
barman-check - Barman Sub-Commands

SYNOPSIS

    check
        [ { -h | --help } ]
        [ --nagios ]
        SERVER_NAME [ SERVER_NAME ... ]

DESCRIPTION

Display status information about a server, such as SSH connection, Postgres version, configuration and backup directories, archiving and streaming processes, replication slots, and more. Use all as shortcut to show diagnostic information for all configured servers.

PARAMETERS

SERVER_NAME
    Name of the server in barman node.

-h / --help
    Show a help message and exit. Provides information about command usage.

--nagios
    Nagios plugin compatible output.

SHORTCUTS

Use shortcuts instead of SERVER_NAME.
Shortcut | Description
all | All available servers

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026